To work with SQL Manager for Oracle you have to register one or more databases in "DB Explorer".
To register a new database in "DB Explorer" click "Shift+Alt+R".
You can limit the number of editors that can be opened at the same time by specifying the maximum number in the option "Windows | Objects Count Restricted" of the "Environment Options" dialog.
You can set up the format of viewing fields such as integer, float/numeric/decimal, date/time/datetime on the "Grid | Color & Formats" tab of the "Environment Options" dialog.
To save all changes done with SQL Manager for Oracle in a log file turn on the option "Enable logging Metadata Changes" and specify the path to the log file using the "Database Registration Info" dialog.
You can limit the visible length of string fields in a table by using the option "String Fields Width" on the "Grid | Data Options" tab of the "Environment Options" dialog.
Keyboard templates can be used in all editors (SQL Editor, SQL Script) to automatically replace certain key combinations with predefined text.
To activate the support of keyboard templates use the option "Auto launch keyboard templates" on the tab "Quick Code" in the "Editor Options" dialog.
You can hide inactive databases in "DB Explorer" by choosing "Hide Disconnected Databases" from the falling menu.
Choose the table name in "DB Explorer", select several fields in "SQL Assistant" and copy the list of those fields to any "SQL Editor".
To activate Quick Save and Quick Load use "Ctrl+Shirt+S" and "Ctrl+Shift+L" respectively.
You can see object descriptions right in the tree of "DB Explorer". Turn on the option "Show Objects Descriptions" in the "Environment Options" dialog to activate this feature.
You can limit the number of editors that can be opened at the same time by specifying the maximum number in the option "Objects Count Restricted" of the "Environment Options" dialog.
When the option "Fetch All" in the "Environment Options" dialog is on, the "SQL Editor" will automatically download all entries satisfying the query criteria.
When the option "Substitute Constraints In Query Plan" is on, system indexes will be automatically replaced with the names of corresponding constraints in the query plan.
You can control the level of transactions that work with data and metadata by specifying transaction parameters on the "Transactions" tab of the "Environment Options" dialog.
Hyperlinks can be used in all sql editors (e.g. SQL Editor, SQL Script, Trigger Editor, View Editor). To insert a hyperlink double-click the underlined object name.
Run the object editor by double-clicking the object in "SQL Assistant".
Choose the table name in "DB Explorer", select several fields in "SQL Assistant" and copy the list of those fields to any "SQL Editor".
You can select objects that you work with most frequently and put them to the tree on the tab "Project View" in "DB Explorer".
To create a new table with the same properties and subobjects, right-click the table alias in the "DB Explorer" tree and select the Duplicate Table <table_name> item from the context menu.
To put objects to the tree on the tab "Project View" in "DB Explorer", switch to the "Page Mode", by pressing the corresponding button on the "DB Explorer" toolbar.
To sort data in the table editor click the column title. Repeated pressing will change the sorting order.
To activate sorting in the table editor off, press and release "Ctrl" and then press the column title.
You can filter data in a table. Press and release "Ctrl", and then press the column title. In the appeared menu choose "Set Filter"
To check the client and home settings, you can use "Oracle Client Checker" on starting the program, it can be called from the "Database Registration Info" dialog.
You can debug PL/SQL code. Use the "Start debug" command in "SQL Editor" to starting debugging.
To exclude some database schemas in "DB Explorer", you can use "Schema restriction" in the "Database Registration Info" dialog.